| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::accept (8 of 16 overloads)

Accept a new connection.

    template<
        typename ExecutionContext>
    Protocol::socket::template rebind_executor< typename ExecutionContext::executor_type >::other accept(
        ExecutionContext & context,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

This function is used to accept a new connection from a peer. The function call will block until a new connection has been accepted successfully or an error occurs.

This overload requires that the Protocol template parameter satisfy the AcceptableProtocol type requirements.

###### Parameters

context

  The I/O execution context object to be used for the newly accepted socket.

###### Return Value

A socket object representing the newly accepted connection.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Example

    boost::asio::ip::tcp::acceptor acceptor(my_context);
    ...
    boost::asio::ip::tcp::socket socket(acceptor.accept());